Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.osm
Class GTNWrapper

    java.lang.Object
      org.ka2ddo.yaac.osm.GTNWrapper

    public class GTNWrapper

extends java.lang.Object

This class wraps a OpenStreetMap record (way or node) found by the `OsmSearcher` to conveniently provide its position and distance from the map center so the GUI can sort it in with other search results.

Field Summary
`float` | `bearing` Direction from map center to this Way or Node.
`GenericTaggedNode` | `gtn` The Way or Node that was found by the OsmSearcher,
`int` | `nearestLat` Latitude of this Node, or nearest latitude of this Way.
`int` | `nearestLon` Longitude of this Node, or nearest longitude of this Way.
`int` | `radiusM` Distance in meters from the map center to this Way or Node.

Constructor Summary
`GTNWrapper(GenericTaggedNode gtn, double radiusM, float bearing, int lat, int lon)` Constructor for a GTNWrapper.

Method Summary
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### gtn

    public final GenericTaggedNode gtn

  The Way or Node that was found by the OsmSearcher,

### radiusM

    public final int radiusM

  Distance in meters from the map center to this Way or Node.

### bearing

    public final float bearing

  Direction from map center to this Way or Node.

### nearestLat

    public final int nearestLat

  Latitude of this Node, or nearest latitude of this Way.

### nearestLon

    public final int nearestLon

  Longitude of this Node, or nearest longitude of this Way.

Constructor Detail

### GTNWrapper

    public GTNWrapper(GenericTaggedNode gtn,
                      double radiusM,
                      float bearing,
                      int lat,
                      int lon)

  Constructor for a GTNWrapper.

  Parameters:
    `gtn` - The Way or Node that was found by the OsmSearcher,
    `radiusM` - Distance in meters from the map center to this Way or Node.
    `bearing` - bearing in degrees from True North from map center to this Way or Node.
    `lat` - Latitude of this Node, or nearest latitude of this Way.
    `lon` - Longitude of this Node, or nearest longitude of this Way.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD